Subject: EEPROM infrastructure (was: [PATCH] eeprom_93cx6: Add write support)

From: Ingo Oeser <[email-masked]>
Date: Fri, 15 Dec 2006 12:58:55 +0100

Lennart Sorensen schrieb:
> On Wed, Dec 13, 2006 at 07:56:50PM +0100, Ivo van Doorn wrote:
> > This patch addes support for writing to the eeprom,
> > this also moves some duplicate code into seperate functions.
> > 
> > Signed-off-by Ivo van Doorn <[email-masked]>
> 
> Thank you.  I will have a try with that to see if I can get that to work
> with the jsm driver.  Too bad the serial drivers don't have any
> geteeprom/seteeprom standard ioctl's the way ethtool does for network
> devices.

It might be even better to have eeprom writing infrastructure.

Many device types come with eeproms today and they implement
it per driver or subsystem. On embedded platforms these EEPROMs
might even be shared among different devices.

So it might be time to generalize this like we did with LEDs.

Any comments?

Regards

Ingo Oeser